Skip to content

Get order list

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get the current user pool order list

Method name

ManagementClient.get_orders

Request parameters

NameTypeIs it required?Default valueDescriptionSample value
pagenumberNo1Current page number, starting from 11
limitnumberNo10Number per page, maximum cannot exceed 50, default is 1010

Request Response

Type: CostGetOrdersRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (no return for successful requests). For a detailed list of error codes, please see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a GetOrdersResResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "list": {
      "orderNo": "202209251234224",
      "status": "1: Unpaid, 2: Paid, 3: Completed, 4: Cancelled, 5: Expired",
      "orderType": "New: New Purchase, Upgrade: Upgrade, Renew: Renew, Overdue_Correct: Overdue Correction, Overflowed_Correct: Overdue Correction"
    }
  }
}

Data Structure

GetOrdersRes

NameTypeIs it required?DescriptionSample value
totalCountstringyesTotal
listarrayyesResponse data Nested type: <a OrderItem.

OrderItem

NameTypeIs it required?DescriptionSample value
orderNostringYesOrder number202209251234224
goodsNamestringYesPackage name in Chinese
goodsNameEnstringYesPackage name in English
goodsUnitPricestringYesUnit price
quantitystringYesQuantity
actualAmountstringYesActual amount
statusstringYesOrder status1: Unpaid, 2: Paid, 3: Completed, 4: Cancelled, 5: Expired
orderTypestringYesOrder typeNew: New purchase, Upgrade: Upgrade, Renew: Renewal, Overdue_Correct: Overdue correction, Overflowed_Correct: Overflowed correction
createTimestringYesCreation time
sourcestringYesLicence: License order, Offline: Offline transaction, Eadmin: Backstage activation, SelfHelp: Self-service order, Cdkey: Cdkey activity redemption

Agent infrastructure for identity, memory, and web action.